// MZSplit - a small and simple file splitter
//
// Copyright 2005-2007 Marcello Zaniboni
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, version 2.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef processing_h
#define processing_h

static void nextsplitextension(char *);
static long long readfilelength(const char *file_name);
static inline int refresh();

void process(
    const char *file_name,
    long long file_size,
    const char *out_folder,
    Fl_Window *progress_window,
    Fl_Input *progress_status,
    Fl_Progress *progress_bar
);

#endif
