// MZSplit - a small and simple file splitter
//
// Copyright 2005-2007 Marcello Zaniboni
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, version 2.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

#ifndef callbacks_h
#define callbacks_h

void init_references(
    Fl_Window *,
    Fl_Round_Button *,
    Fl_Round_Button *,
    Fl_Round_Button *,
    Fl_Int_Input *,
    Fl_Input *,
    Fl_Input *,
    Fl_Button *,
    Fl_Window *,
    Fl_Input *,
    Fl_Progress *
);

void cb_custom_size_behaviour(Fl_Widget * , void *);
void cb_default_folder_behaviour(Fl_Widget *, void *);
void cb_no_esc_key_window(Fl_Widget *, void *);
void cb_file_browsing(Fl_Widget *, void *);
void cb_folder_browsing(Fl_Widget *, void *);
void cb_radio_behaviour(Fl_Widget *, void *);
void cb_help(Fl_Widget *, void *v);
void cb_about(Fl_Widget *, void *v);
void cb_go(Fl_Widget *, void *v);

#endif
